import { TdChartOptionsService, ITdLabel, ITdItemStyle, ITdEmphasis, ITdSeries, TdSeriesDirective, ITdShadow, ITdLineCurveStyle } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export type TdSankeyOrient = 'horizontal' | 'vertical';
export type TdSankeyFocusNodeAdjacency = boolean | 'allEdges' | 'outEdges' | 'inEdges';
export interface ITdSankeyEmphasisLineStyle extends ITdShadow {
    color?: any;
    opacity?: number;
    curveness?: number;
}
export interface ITdSankeyEmphasis extends ITdEmphasis {
    lineStyle: ITdSankeyEmphasisLineStyle;
}
export interface ITdSankeySeries extends ITdSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    nodeWidth?: number;
    nodeGap?: number;
    layoutIterations?: number;
    orient?: TdSankeyOrient;
    draggable?: boolean;
    focusNodeAdjacency?: TdSankeyFocusNodeAdjacency;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineCurveStyle;
    emphasis?: ITdEmphasis;
    data?: any[];
    nodes?: any[];
    links?: any[];
    edges?: any[];
    silent?: boolean;
}
export declare class TdChartSeriesSankeyComponent extends TdSeriesDirective implements ITdSankeySeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    nodeWidth?: number;
    nodeGap?: number;
    layoutIterations?: number;
    orient?: TdSankeyOrient;
    draggable?: boolean;
    focusNodeAdjacency?: TdSankeyFocusNodeAdjacency;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineCurveStyle;
    emphasis?: ITdEmphasis;
    nodes?: any[];
    links?: any[];
    edges?: any[];
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesSankeyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesSankeyComponent, "td-chart-series[td-sankey]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "nodeWidth": { "alias": "nodeWidth"; "required": false; }; "nodeGap": { "alias": "nodeGap"; "required": false; }; "layoutIterations": { "alias": "layoutIterations"; "required": false; }; "orient": { "alias": "orient"; "required": false; }; "draggable": { "alias": "draggable"; "required": false; }; "focusNodeAdjacency": { "alias": "focusNodeAdjacency"; "required": false; }; "label": { "alias": "label"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "lineStyle": { "alias": "lineStyle"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "nodes": { "alias": "nodes"; "required": false; }; "links": { "alias": "links"; "required": false; }; "edges": { "alias": "edges"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; }, {}, never, never, false, never>;
}
